Debian Bug report logs - #655870
Please enabled hardened build flags

version graph

Package: tinyproxy; Maintainer for tinyproxy is Ed Boraas <ed@debian.org>; Source for tinyproxy is src:tinyproxy.

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Sat, 14 Jan 2012 13:03:01 UTC

Severity: important

Tags: patch

Found in version tinyproxy/1.8.3-1

Fixed in version tinyproxy/1.8.3-2

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ed Boraas <ed@debian.org>:
Bug#655870; Package tinyproxy. (Sat, 14 Jan 2012 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to Ed Boraas <ed@debian.org>. (Sat, 14 Jan 2012 13:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please enabled hardened build flags
Date: Sat, 14 Jan 2012 14:01:40 +0100
[Message part 1 (text/plain, inline)]
Package: tinyproxy
Version: 1.8.3-1
Severity: important
Tags: patch

Please enable hardened build flags for your package. Since your
package has already been converted to dh, setting debian/compat
to 9 is all you need to do. It injects the needed flags 
automatically.

Also it needs a small patch to the configure.ac, otherwise the
configures doesn't allow expanding LDFLAGS.

I've tested in a local build that this is sufficient to enable
hardened build flags.

Cheers,
        Moritz
[tinyproxy-harden.patch (text/x-diff, attachment)]

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Mon, 23 Jan 2012 12:21:50 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. (Mon, 23 Jan 2012 12:22:25 GMT) Full text and rfc822 format available.

Message #10 received at 655870-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 655870-close@bugs.debian.org
Subject: Bug#655870: fixed in tinyproxy 1.8.3-2
Date: Mon, 23 Jan 2012 12:17:35 +0000
Source: tinyproxy
Source-Version: 1.8.3-2

We believe that the bug you reported is fixed in the latest version of
tinyproxy, which is due to be installed in the Debian FTP archive:

tinyproxy_1.8.3-2.debian.tar.bz2
  to main/t/tinyproxy/tinyproxy_1.8.3-2.debian.tar.bz2
tinyproxy_1.8.3-2.dsc
  to main/t/tinyproxy/tinyproxy_1.8.3-2.dsc
tinyproxy_1.8.3-2_amd64.deb
  to main/t/tinyproxy/tinyproxy_1.8.3-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 655870@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated tinyproxy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Jan 2012 12:10:34 +0100
Source: tinyproxy
Binary: tinyproxy
Architecture: source amd64
Version: 1.8.3-2
Distribution: unstable
Urgency: low
Maintainer: Ed Boraas <ed@debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 tinyproxy  - A lightweight, non-caching, optionally anonymizing HTTP proxy
Closes: 655870
Changes: 
 tinyproxy (1.8.3-2) unstable; urgency=low
 .
   * Update Homepage again: webpage is served over https.
   * Add prepend_ldflags.patch, by Moritz Muehlenhoff, to avoid overwriting
     LDFLAGS. Enable dh_autoreconf support.
   * Switch to debhelper v9 to take advantage of automatic dpkg-buildflags
     setting and enable hardened build flags (closes: #655870).
   * Bump Build-Deps to debhelper (>= 8.9.4)
Checksums-Sha1: 
 c85f857b2aaeebf8e4917ff98c0fcf61b2086b5f 1324 tinyproxy_1.8.3-2.dsc
 f44bb6b3bf84379f03623d95dcf801c0a4118462 11910 tinyproxy_1.8.3-2.debian.tar.bz2
 33f526777b9b7110c3da92bf7081c9373b4c1369 88312 tinyproxy_1.8.3-2_amd64.deb
Checksums-Sha256: 
 9d07fdb19ec136e52f78cb14633d1ea390d0ad74b6c83753f781383b455a220e 1324 tinyproxy_1.8.3-2.dsc
 2bdfcfb00ecb4e74b8765abc8c9e1b9f8f86fe425ad13c8c26cbf14e1ffb0ae8 11910 tinyproxy_1.8.3-2.debian.tar.bz2
 026257244bab4085dffba6ae100253da61e8acd555f1f6187113493899adfead 88312 tinyproxy_1.8.3-2_amd64.deb
Files: 
 89d9447ea941bf69eaf2860e4cdd5a36 1324 web optional tinyproxy_1.8.3-2.dsc
 3cabdd536bbba8f20d1739df5e06bd3a 11910 web optional tinyproxy_1.8.3-2.debian.tar.bz2
 afe1a2224416fc0a441df4bea0846c13 88312 web optional tinyproxy_1.8.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8dS/4ACgkQJYSUupF6Il6XsACg8nBlj+vb5oTN8o6519FgVEkp
JT8AnR1ajWj9C12yA0ibNwIoUh+tz0qa
=jHks
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Mar 2012 07:40:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:48:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.